
%RMS EOG
 eogPRO=[eog(1:31), eog, eog(end-30:end)];      %prodloužení signálu duplikování začátku a konce
 eogRMS=zeros(1,length(eog));                   %vektor pro zapisování RMS
 for i=31:length(eog)                           %procházení dignálu
eogRMS(i) = sqrt(mean(eogPRO(i-30:i+30).^2));   %výpočet RMS
 end
 
orezRMS=zeros(1,N);
 maxim=zeros(1,7);
 for i=1:7  %zapsání pouze hodnot RMS v době +200ms od spuštění impulsu
    pom=max(eogRMS(impuls(i):impuls(i)+100))-min(eogRMS(impuls(i):impuls(i)+100));
    %výpočet maximálnío Rms v době 200ms od stim. impulsu s odečtenou
    %průměrnou hodnotou v doě spuštění impulsu pro odstranění vlivu
    %svalového tonu, který může být odlišný pro každou osobu
    orezRMS(impuls(i):impuls(i)+100)=pom; %vektor pro vykrelení maxim
    maxim(i)=pom; %zapsání hodnot maxim
 end

%Výpočet spektrogramu EMG signálu
[S,F,T,P] = spectrogram(eog,512,500,512,Fs);

